version: '2.1'

services:
  integration_tests:
    logging:
      driver: json-file
    build:
      context: ./
      args:
        - PACKAGE_NAME=health_api
    command: run-integration-tests
    env_file:
      - ../test_environment/health_api.env
    environment:
      HEALTH_API_URL: "http://health_api"
    restart: on-failure
    links:
      - health_api
    depends_on:
      health_api:
        condition: service_healthy
